Skip to content
Developer

BillingPayoutAccount

Billing5 EndpointsBilling / BillingPayoutAccount

This method will get all BillingPayoutAccount Objects

GET/api/invoice/billing_payout_account

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of BillingPayoutAccount objectsarray<BillingPayoutAccount>

Show fields (12)
  • idinteger

    Primary key of the payout account. Internal ID.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • payment_ownerstring

    Account owner of the direct debit.

  • payment_institutionstring

    Name of the bank of the direct debit.

  • payment_bicstring

    BIC of the bank account.

  • payment_ibanstring

    IBAN of the bank account.

  • payment_mandatestring

    Reference of the SEPA mandate.

  • payment_mandate_sign_datestring (date-time)

    Date the SEPA mandate was signed.

  • payment_mandate_valid_until_datestring (date-time)

    Date until which the SEPA mandate is valid.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/billing_payout_account \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "payment_bic": "BYLADEM1001",
    "payment_iban": "DE02120300000000202051",
    "deleted": true,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "payment_owner": "string",
    "payment_institution": "string",
    "payment_mandate": "2026-10-15T09:30:00+02:00"
  }
]

Add a new BillingPayoutAccount

POST/api/invoice/billing_payout_account

Request body application/json

  • dataBillingPayoutAccount2
    Show fields (8)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • payment_ownerstring

      Account owner of the direct debit.

    • payment_institutionstring

      Name of the bank of the direct debit.

    • payment_bicstring

      BIC of the bank account.

    • payment_ibanstring

      IBAN of the bank account.

    • payment_mandatestring

      Reference of the SEPA mandate.

    • payment_mandate_sign_datestring (date-time)

      Date the SEPA mandate was signed.

    • payment_mandate_valid_until_datestring (date-time)

      Date until which the SEPA mandate is valid.

Responses

200Add a new BillingPayoutAccountBillingPayoutAccount

Show fields (12)
  • idinteger

    Primary key of the payout account. Internal ID.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • payment_ownerstring

    Account owner of the direct debit.

  • payment_institutionstring

    Name of the bank of the direct debit.

  • payment_bicstring

    BIC of the bank account.

  • payment_ibanstring

    IBAN of the bank account.

  • payment_mandatestring

    Reference of the SEPA mandate.

  • payment_mandate_sign_datestring (date-time)

    Date the SEPA mandate was signed.

  • payment_mandate_valid_until_datestring (date-time)

    Date until which the SEPA mandate is valid.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/invoice/billing_payout_account \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "payment_bic": "BYLADEM1001",
    "payment_iban": "DE02120300000000202051",
    "deleted": true,
    "payment_owner": "string",
    "payment_institution": "string",
    "payment_mandate": "2026-10-15T09:30:00+02:00"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "payment_bic": "BYLADEM1001",
  "payment_iban": "DE02120300000000202051",
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "payment_owner": "string",
  "payment_institution": "string",
  "payment_mandate": "2026-10-15T09:30:00+02:00"
}

This method will get a single BillingPayoutAccount with the given id

GET/api/invoice/billing_payout_account/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single BillingPayoutAccountBillingPayoutAccount

Show fields (12)
  • idinteger

    Primary key of the payout account. Internal ID.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • payment_ownerstring

    Account owner of the direct debit.

  • payment_institutionstring

    Name of the bank of the direct debit.

  • payment_bicstring

    BIC of the bank account.

  • payment_ibanstring

    IBAN of the bank account.

  • payment_mandatestring

    Reference of the SEPA mandate.

  • payment_mandate_sign_datestring (date-time)

    Date the SEPA mandate was signed.

  • payment_mandate_valid_until_datestring (date-time)

    Date until which the SEPA mandate is valid.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/billing_payout_account/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "payment_bic": "BYLADEM1001",
  "payment_iban": "DE02120300000000202051",
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "payment_owner": "string",
  "payment_institution": "string",
  "payment_mandate": "2026-10-15T09:30:00+02:00"
}

Update a BillingPayoutAccount

PUT/api/invoice/billing_payout_account/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataBillingPayoutAccount2
    Show fields (8)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • payment_ownerstring

      Account owner of the direct debit.

    • payment_institutionstring

      Name of the bank of the direct debit.

    • payment_bicstring

      BIC of the bank account.

    • payment_ibanstring

      IBAN of the bank account.

    • payment_mandatestring

      Reference of the SEPA mandate.

    • payment_mandate_sign_datestring (date-time)

      Date the SEPA mandate was signed.

    • payment_mandate_valid_until_datestring (date-time)

      Date until which the SEPA mandate is valid.

Responses

200Update a BillingPayoutAccountBillingPayoutAccount

Show fields (12)
  • idinteger

    Primary key of the payout account. Internal ID.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • payment_ownerstring

    Account owner of the direct debit.

  • payment_institutionstring

    Name of the bank of the direct debit.

  • payment_bicstring

    BIC of the bank account.

  • payment_ibanstring

    IBAN of the bank account.

  • payment_mandatestring

    Reference of the SEPA mandate.

  • payment_mandate_sign_datestring (date-time)

    Date the SEPA mandate was signed.

  • payment_mandate_valid_until_datestring (date-time)

    Date until which the SEPA mandate is valid.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/invoice/billing_payout_account/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "payment_bic": "BYLADEM1001",
    "payment_iban": "DE02120300000000202051",
    "deleted": true,
    "payment_owner": "string",
    "payment_institution": "string",
    "payment_mandate": "2026-10-15T09:30:00+02:00"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "payment_bic": "BYLADEM1001",
  "payment_iban": "DE02120300000000202051",
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "payment_owner": "string",
  "payment_institution": "string",
  "payment_mandate": "2026-10-15T09:30:00+02:00"
}

Update a BillingPayoutAccount

PATCH/api/invoice/billing_payout_account/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataBillingPayoutAccount2
    Show fields (8)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • payment_ownerstring

      Account owner of the direct debit.

    • payment_institutionstring

      Name of the bank of the direct debit.

    • payment_bicstring

      BIC of the bank account.

    • payment_ibanstring

      IBAN of the bank account.

    • payment_mandatestring

      Reference of the SEPA mandate.

    • payment_mandate_sign_datestring (date-time)

      Date the SEPA mandate was signed.

    • payment_mandate_valid_until_datestring (date-time)

      Date until which the SEPA mandate is valid.

Responses

200Update a BillingPayoutAccountBillingPayoutAccount

Show fields (12)
  • idinteger

    Primary key of the payout account. Internal ID.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • payment_ownerstring

    Account owner of the direct debit.

  • payment_institutionstring

    Name of the bank of the direct debit.

  • payment_bicstring

    BIC of the bank account.

  • payment_ibanstring

    IBAN of the bank account.

  • payment_mandatestring

    Reference of the SEPA mandate.

  • payment_mandate_sign_datestring (date-time)

    Date the SEPA mandate was signed.

  • payment_mandate_valid_until_datestring (date-time)

    Date until which the SEPA mandate is valid.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/invoice/billing_payout_account/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "payment_bic": "BYLADEM1001",
    "payment_iban": "DE02120300000000202051",
    "deleted": true,
    "payment_owner": "string",
    "payment_institution": "string",
    "payment_mandate": "2026-10-15T09:30:00+02:00"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "payment_bic": "BYLADEM1001",
  "payment_iban": "DE02120300000000202051",
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "payment_owner": "string",
  "payment_institution": "string",
  "payment_mandate": "2026-10-15T09:30:00+02:00"
}